> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/overview/feature-map.md).

# 功能地图

根据用例，查找适合你任何开发目标的 Convai Unity SDK 功能、模块、指南或参考页面。

当你知道想要的结果，但不确定由哪个 SDK 功能、模块或指南涵盖时，请使用此表。

### 入门

| 我想要……                | 功能 / 工具  | 文档                                                                                                                      |
| -------------------- | -------- | ----------------------------------------------------------------------------------------------------------------------- |
| 将 SDK 安装到我的项目中       | 安装       | [安装](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/installation.md)                                |
| 配置我的 Convai API 密钥   | API 密钥设置 | [配置 API 密钥](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/configure-api-key.md)                    |
| 将我的第一个对话角色添加到场景中     | 场景设置     | [构建自定义场景](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/build-a-custom-scene.md)                   |
| 在不从零开始构建的情况下运行一个可用示例 | 示例场景     | [导入并运行示例场景](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/import-and-run-sample-scenes.md)         |
| 在一次会话中运行包含多个角色的可用示例  | 多角色示例    | [多角色示例](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/multi-character-sessions/multi-character-sample.md) |
| 了解场景中每个组件的作用         | 组件参考     | [场景组件参考](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/scene-components.md)                        |
| 在按键通话和免提输入之间选择       | 输入模式     | [配置会话输入模式](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/configure-conversation-input-mode.md)     |
| 配置角色音频输出             | 音频设置     | [配置角色音频](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/configure-character-audio.md)               |
| 配置麦克风设备和平台权限         | 音频设置     | [配置麦克风](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/configure-microphone.md)                     |
| 添加聊天或字幕转录显示          | 转录 UI    | [添加聊天 UI](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-chat-ui.md)                            |
| 为我的角色添加实时口型同步        | 口型同步     | [添加口型同步](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/add-lip-sync.md)                            |
| 在发布前验证我的场景是否设置正确     | 场景验证器    | [验证你的设置](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started/validate-your-setup.md)                     |

### 身份验证

| 我想要……                           | 功能            | 文档                                                                                                                 |
| ------------------------------- | ------------- | ------------------------------------------------------------------------------------------------------------------ |
| 比较 API Key 和 Auth Token 身份验证模式  | 身份验证          | [身份验证](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication.md)                                       |
| 了解一个 `ConvaiManager` 如何解析凭据     | 身份验证概念        | [身份验证如何工作](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication/how-authentication-works.md)          |
| 在 API Key 和 Auth Token 模式之间切换项目 | 身份验证模式设置      | [配置 auth token 模式](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication/configure-auth-token-mode.md) |
| 使用短期 Auth Token 连接房间会话          | Auth Token 连接 | [使用 Auth Token 连接](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication/connect-with-auth-token.md)   |
| 提供我自己的 Auth Token 签发逻辑          | 自定义令牌提供程序     | [自定义令牌提供程序](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication/custom-token-provider.md)            |
| 在不暴露我的账户 API 密钥的情况下发布玩家构建       | 安全构建          | [发布安全构建](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication/ship-a-secure-build.md)                 |
| 从 C# 调用身份验证 API                 | 脚本参考          | [身份验证脚本参考](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/authentication/scripting-reference.md)               |

### 功能

| 我想要……                       | 功能     | 文档                                                                                                |
| --------------------------- | ------ | ------------------------------------------------------------------------------------------------- |
| 让我的角色执行场景内命令（触发动画、打开门、移动物体） | 动作     | [动作](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/character-actions.md)            |
| 将运行时状态或事件注入角色的知识中           | 动态上下文  | [动态上下文](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/dynamic-context.md)           |
| 让角色自动读取有关场景对象的信息            | 场景元数据  | [场景元数据](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/scene-metadata.md)            |
| 根据 AI 响应在我的角色脸上显示情绪         | 情绪     | [情绪](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/emotion.md)                    |
| 让角色在不同会话之间记住玩家              | 长期记忆   | [长期记忆](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/long-term-memory.md)           |
| 构建由对话触发的分支故事段落              | 叙事设计   | [叙事设计](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/narrative-design.md)           |
| 让我的角色通过摄像机或网络摄像头获得视觉能力      | 视觉     | [视觉](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/vision.md)                       |
| 确定玩家正在与哪个角色交谈               | 对话目标选择 | [对话目标选择](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/conversation-targeting.md)   |
| 了解玩家此刻是否可以说话，并据此控制我的 UI     | 对话可用性  | [对话可用性](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/features/conversation-availability.md) |

### 具身

| 我想要……                   | 模块   | 文档                                                                                          |
| ----------------------- | ---- | ------------------------------------------------------------------------------------------- |
| 让我的角色看向玩家、物体或环顾场景       | 注视   | [注视](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/gaze.md)                 |
| 将角色行为与对话阶段同步            | 对话流程 | [对话流程](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/conversation-flow.md)  |
| 在多个角色之间共享一组行为设置         | 预设   | [具身预设](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/embodiment-presets.md) |
| 决定说话时面部情绪和口型同步各自控制多少    | 面部组合 | [面部组合](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/facial-composition.md) |
| 通过代码驱动待机、说话、移动和手势动画     | 身体动画 | [身体动画](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/body-animation.md)     |
| 直接控制对话中的非语言行为——姿势、呼吸、聆听 | 肢体语言 | [肢体语言](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/embodiment/body-language.md)      |

### UI 和呈现

| 我想要……                   | 组件     | 文档                                                                                                                                |
| ----------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------- |
| 在我的 UI 中显示实时对话转录        | 转录 UI  | [转录 UI](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/transcript-ui.md)                                  |
| 在聊天和字幕显示模式之间切换          | 呈现模式   | [聊天和字幕模式](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/transcript-ui/chat-and-subtitle-modes.md)        |
| 通过代码查询转录历史或响应转录变化       | 转录历史   | [转录历史和查询](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/transcript-ui/transcript-history-and-queries.md) |
| 显示游戏世界内通知弹窗             | 通知系统   | [通知系统](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/notification-system.md)                             |
| 添加运行时设置面板（麦克风、转录、通知、输入） | 设置面板   | [设置面板](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/settings-panel.md)                                  |
| 从代码读取或应用运行时设置           | 运行时设置  | [运行时设置 API](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/settings-panel/runtime-settings-api.md)        |
| 自定义 UI 组件的外观和布局         | UI 自定义 | [自定义 UI 组件](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/ui-and-presentation/customizing-ui-components.md)                  |

### 核心概念

| 我想要……                   | 概念     | 文档                                                                                                                  |
| ----------------------- | ------ | ------------------------------------------------------------------------------------------------------------------- |
| 端到端了解系统架构               | 架构     | [Convai Unity SDK 架构](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/overview/convai-unity-sdk-architecture.md) |
| 了解会话状态、重连和持久化           | 会话生命周期 | [会话生命周期](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/core-concepts/session-lifecycle.md)                     |
| 比较免提和按键通话的轮流发言          | 轮流发言模式 | [轮流发言模式](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/core-concepts/turn-taking-modes.md)                     |
| 从 C# 或 Inspector 订阅对话事件 | 事件系统   | [事件系统](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/core-concepts/event-system.md)                            |

### 脚本参考

| 我想要……                                        | API       | 文档                                                                                                               |
| -------------------------------------------- | --------- | ---------------------------------------------------------------------------------------------------------------- |
| 订阅会话连接 / 断开 / 错误事件                           | 会话事件      | [会话事件](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/session-events.md)                 |
| 订阅转录、情绪和轮流发言事件                               | 角色事件      | [角色事件](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/character-events.md)               |
| 在运行时读取并清除转录历史                                | 转录 API    | [转录 API](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/transcript-api.md)               |
| 使用 `ConvaiSDK` 和 `ConvaiAudio` 静态外观          | 对话外观      | [ConvaiManager API](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/convaimanager-api.md) |
| 了解 `IConvaiOperation<T>` 及异步模式               | 异步模式      | [异步模式](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/async-patterns.md)                 |
| 使用 `ConvaiCharacter` 和 `ConvaiPlayer` API 表面 | 角色和玩家 API | [角色和玩家 API](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/character-and-player-api.md)  |
| 了解 `IConvaiOperation<T>` 以及流式结果类型            | 操作和流类型    | [操作与流类型](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/scripting-reference/operation-and-stream-types.md)   |

### 兼容性和要求

| 我想要……                 | 要求            | 文档                                                                                                                                        |
| --------------------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| 检查 Unity 版本、渲染管线和包要求  | 兼容性概览         | [兼容性和要求](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/compatibility-and-requirements.md)                                            |
| 确认支持哪些 Unity 版本和渲染管线  | Unity 和渲染管线支持 | [Unity 版本和渲染管线](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/compatibility-and-requirements/unity-versions-and-render-pipelines.md) |
| 确认 SDK 所需的域名、端口和防火墙规则 | 网络要求          | [网络和 API 要求](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/compatibility-and-requirements/network-and-api-requirements.md)           |

### 故障排除

| 我想要……                      | 工具            | 文档                                                                            |
| -------------------------- | ------------- | ----------------------------------------------------------------------------- |
| 找出角色无法工作的原因，并在每个问题旁边给出修复方法 | Convai 故障排除工具 | [故障排除](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/troubleshooting.md) |

### 平台指南

| 我想要……                     | 平台              | 文档                                                                                                                     |
| ------------------------- | --------------- | ---------------------------------------------------------------------------------------------------------------------- |
| 使用 WebGL 发布到浏览器           | WebGL           | [WebGL](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/platform-guides/webgl.md)                                   |
| 发布到 Android 或 iOS         | 移动端             | [移动端——iOS 和 Android](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/platform-guides/ios-and-android.md)            |
| 发布到 Windows、macOS 或 Linux | 桌面端             | [Windows、macOS 和 Linux](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/platform-guides/windows-macos-and-linux.md) |
| 使用透视视觉发布到 Meta Quest      | Meta Quest / XR | [Meta Quest 和 XR](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/platform-guides/xr-headsets.md)                   |
| 将 Meta Quest 透视摄像头画面传输给角色 | Meta Quest / XR | [Meta Quest 视觉设置](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/platform-guides/meta-quest-vision.md)             |

### 高级主题

| 我想要……                 | 主题      | 文档                                                                                                                               |
| --------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------- |
| 替换 API 凭据提供程序         | 自定义提供程序 | [自定义凭据提供程序](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/advanced-topics/custom-providers/custom-credential-provider.md)   |
| 替换最终用户身份提供程序          | 自定义提供程序 | [自定义身份提供程序](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/advanced-topics/custom-providers/custom-identity-provider.md)     |
| 替换会话持久化提供程序           | 自定义提供程序 | [自定义持久化提供程序](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/advanced-topics/custom-providers/custom-persistence-provider.md) |
| 测量延迟并解读会话指标           | 性能      | [性能与优化](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/advanced-topics/performance-and-optimization.md)                      |
| 使用自定义模块扩展 SDK 或替换内部服务 | 扩展点     | [扩展 SDK](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/advanced-topics/extending-the-sdk.md)                                |

### 下一步

如果你还没有设置 SDK，请从安装开始。

{% content-ref url="/pages/5ea68df21c8a54f95779af92056a9ab831531be5" %}
[快速开始](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/getting-started.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unity-sdk/overview/feature-map.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
